WP6CharacterGroup_ParagraphNumberOnSubGroup Class Reference

`#include <WP6CharacterGroup.h>`

Inheritance diagram for WP6CharacterGroup_ParagraphNumberOnSubGroup:

## Public Member Functions

| WP6CharacterGroup_ParagraphNumberOnSubGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *listener, const unsigned char numPrefixIDs, unsigned short const *prefixIDs) const override
Public Member Functions inherited from WP6VariableLengthGroup_SubGroup
virtual | ~WP6VariableLengthGroup_SubGroup ()

## Private Attributes

unsigned short | m_outlineHash
unsigned char | m_level
unsigned char | m_flag

## Constructor & Destructor Documentation

## WP6CharacterGroup_ParagraphNumberOnSubGroup()

WP6CharacterGroup_ParagraphNumberOnSubGroup::WP6CharacterGroup_ParagraphNumberOnSubGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## Member Function Documentation

## parse()

void WP6CharacterGroup_ParagraphNumberOnSubGroup::parse | ( | WP6Listener * | listener,
|  | const unsigned char | numPrefixIDs,
|  | unsigned short const * | prefixIDs ) const

override virtual

Implements WP6VariableLengthGroup_SubGroup.

## Member Data Documentation

## m_flag

unsigned char WP6CharacterGroup_ParagraphNumberOnSubGroup::m_flag

private

Referenced by parse(), and WP6CharacterGroup_ParagraphNumberOnSubGroup().

## m_level

unsigned char WP6CharacterGroup_ParagraphNumberOnSubGroup::m_level

private

Referenced by parse(), and WP6CharacterGroup_ParagraphNumberOnSubGroup().

## m_outlineHash

unsigned short WP6CharacterGroup_ParagraphNumberOnSubGroup::m_outlineHash

private

Referenced by parse(), and WP6CharacterGroup_ParagraphNumberOnSubGroup().

The documentation for this class was generated from the following files:

- WP6CharacterGroup.h
- WP6CharacterGroup.cpp